@font-face {
    font-family: "Montserrat Variable";
    src: url("assets/fonts/montserrat-latin-wght-normal.woff2")
        format("woff2-variations");
    font-weight: 100 900;
    font-style: normal;
    font-display: swap;
}

:root {
    --background: #181825;
    --primary: #89b4fa;
    --secondary: #fab387;
    --white: #dfdfdf;
    --nav-button-size: 32px;

    --full-height: 100dvh;
    --full-width: 100dvw;
}
html {
    font-size: 18px;
}

html,
body {
    background-color: var(--background);
    color: var(--white);
    font-family: "Montserrat Variable", sans-serif;
}
body {
    font-size: 1rem;
    width: 100%;
    height: 100%;
}

#container {
    position: relative;
    scroll-snap-type: y mandatory;
    scroll-behavior: smooth;
    height: 100vh;
    height: var(--full-height);
    width: 100vw;
    width: var(--full-width);
    overflow-y: scroll;
    overflow-x: hidden;
    transition: height 0.3s ease-in-out;

    container-type: scroll-state;
    container-name: scroll-container;
}

section {
    height: 100vh;
    height: var(--full-height);
    width: 100vw;
    width: var(--full-width);
    transition: height 0.1s ease-in-out;
    scroll-snap-align: start;
}

section,
.content-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 32px;
}

sup {
    color: var(--white);
    letter-spacing: 0;
    font-size: 0.6rem;
}
.content-wrapper {
    max-width: 800px;
    width: 100%;
}
section p:not(:last-of-type),
section figure {
    margin-bottom: 28px;
}
section figure img {
    max-width: 100%;
}
section p {
    width: 100%;
}
section details {
    margin-bottom: 16px;
    width: 100%;
}
section details summary {
    font-style: italic;
    cursor: pointer;
}
section details p {
    margin-top: 6px;
    padding: 16px;
    border-radius: 5px;
    background-color: rgba(0, 0, 0, 0.3);
}
section.text-justify p:not(.tc) {
    text-align: justify;
    letter-spacing: 1px;
    line-height: 1.4rem;
}

#thats-it p {
    width: auto;
}

#kb-link {
    margin-bottom: 16px;
}
.note,
.weak {
    font-size: 0.8rem;
    font-style: italic;
}
h1 {
    color: var(--primary);
}
h1,
h2,
h3,
h4,
h5,
h6 {
    margin-bottom: 32px;
    text-transform: capitalize;
}

aside {
    font-size: 1.4rem;
}

#nav-button {
    background-color: transparent;
    color: var(--primary);
    border: none;
    width: var(--nav-button-size);
    height: var(--nav-button-size);
    position: absolute;
    top: 0;
    right: 0;
    margin: 16px;
    font-size: var(--nav-button-size);
    line-height: var(--nav-button-size);
    font-weight: 200;
    z-index: 200;
}

#navigation-popover {
    background-color: transparent;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 90vw;
    max-width: 600px;
    padding: 24px;
    margin: auto;
    border: none;
    background-color: #181825;
    border-radius: 10px;
}
#navigation-popover:popover-open {
    display: flex;
}
#navigation-popover::backdrop {
    background-color: rgba(17, 17, 27, 0.9);
    backdrop-filter: blur(2px);
}
#navigation-popover h1 {
    color: var(--primary);
}
#navigation-popover ul,
#navigation-popover li {
    width: 100%;
    /*text-align: center;*/
    font-size: 1.3rem;
    text-transform: lowercase;
    font-style: italic;
    font-family: consolas, monospace;
    letter-spacing: 1px;
    margin-block: 8px;
    padding-left: 6px;
}

#navigation-popover li:not(:last-child) {
    margin-bottom: 32px;
}

#navigation-popover li > a {
    background-color: transparent;
    border: none;
    width: 100%;
    display: inline-block;
    color: var(--secondary);

    text-decoration: none;
}
#navigation-popover li::marker {
    color: var(--secondary);
    content: "#";
}
* {
    font-family:
        "Montserrat Variable",
        -apple-system,
        system-ui sans-serif;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

*::selection {
    background-color: var(--primary);
    color: var(--background);
}

a {
    color: var(--secondary);
    text-decoration: none;
}

.shiny {
    background: linear-gradient(
        137deg,
        var(--primary) 0%,
        var(--secondary) 33%,
        var(--primary) 62%,
        var(--secondary) 100%
    );
    background-size: 400%;
    animation: shine 2s linear infinite;
    animation-direction: alternate;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    text-fill-color: transparent;
}

@keyframes shine {
    0% {
        background-position: 100%;
    }

    30%,
    70% {
        background-position: 0%;
    }
}

section#start {
    text-align: center;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 96px;
    justify-content: center;
    align-items: center;
}
section#start > div {
    display: flex;
    flex-direction: column;
    gap: 6px;
}
section#start > div > aside {
    text-align: left;
}
#my-name {
    margin: 0;
}
.pb {
    padding-block: 12px;
}
.tc {
    text-align: center;
}
section h3 {
    margin-top: 32px;
}

section#tools-i-use h3 {
    margin-bottom: 8px;
}
section#tools-i-use ul {
    width: 80%;
}
section#tools-i-use li {
    padding: 6px;
    font-size: 0.8rem;
}
section#tools-i-use li::marker {
    content: "- ";
    display: none;
}
li:nth-of-type(even) {
    background-color: rgba(0, 0, 0, 0.05);
}

#scroll-down {
    position: absolute;
    bottom: 32px;
    opacity: 0;
    cursor: pointer;
    animation-name: appear;
    /*animation-delay: 3s;*/
    animation-duration: 2s;
    animation-delay: 1.5s;
    animation-fill-mode: forwards;
    animation-delay: 0;
    font-weight: 100;
    font-size: 0.8rem;
    text-transform: uppercase;
    text-align: center;
}
#scroll-down #arrows {
    font-size: 3rem;
}

@keyframes appear {
    0% {
        opacity: 0;
    }
    33% {
        opacity: 0.5;
    }
    66% {
        opacity: 0.1;
    }
    100% {
        opacity: 0.7;
    }
}

figcaption {
    font-style: italic;
    text-align: right;
    font-size: 0.8rem;
}

@media screen and (max-width: 768px) {
    html {
        font-size: 12px;
    }
}
